v_hdmirx: XV_HdmiRx_Stream Struct Reference

| v_hdmirx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_HdmiRx_Stream Struct Reference

This typedef contains HDMI RX stream specific data structure. More...

## Data Fields
XVidC_VideoStream | Video
| Video stream for HDMI RX. More...
XV_HdmiRx_AudioStream | Audio
| Audio stream. More...
u8 | Vic
| Video Identification code flag. More...
u8 | IsHdmi
| HDMI flag. More...
u32 | PixelClk
| Pixel Clock. More...
u32 | RefClk
| Reference Clock. More...
u8 | IsScrambled
| Scrambler flag 1 - scrambled data , 0 - non scrambled data. More...
XV_HdmiRx_State | State
| State. More...
XV_HdmiRx_SyncStatus | SyncStatus
| Stream Sync Status. More...
u8 | IsConnected
| Connected flag. More...

## Detailed Description

This typedef contains HDMI RX stream specific data structure.

## Field Documentation

XV_HdmiRx_AudioStream XV_HdmiRx_Stream::Audio

Audio stream.

Referenced by XV_HdmiRx_Clear().

u8 XV_HdmiRx_Stream::IsConnected

Connected flag.

This flag is set when the cable is connected

Referenced by XV_HdmiRx_CfgInitialize(), and XV_HdmiRx_IsStreamConnected().

u8 XV_HdmiRx_Stream::IsHdmi

HDMI flag.

1 - HDMI Stream, 0 - DVI Stream

Referenced by XV_HdmiRx_Clear().

u8 XV_HdmiRx_Stream::IsScrambled

Scrambler flag 1 - scrambled data , 0 - non scrambled data.

Referenced by XV_HdmiRx_IsStreamScrambled().

u32 XV_HdmiRx_Stream::PixelClk

Pixel Clock.

Referenced by XV_HdmiRx_GetVideoTiming().

u32 XV_HdmiRx_Stream::RefClk

Reference Clock.

Referenced by XV_HdmiRx_SetStream().

XV_HdmiRx_State XV_HdmiRx_Stream::State

State.

Referenced by XV_HdmiRx_Clear(), and XV_HdmiRx_IsStreamUp().

XV_HdmiRx_SyncStatus XV_HdmiRx_Stream::SyncStatus

Stream Sync Status.

u8 XV_HdmiRx_Stream::Vic

Video Identification code flag.

Referenced by XV_HdmiRx_Clear(), and XV_HdmiRx_GetVideoProperties().

XVidC_VideoStream XV_HdmiRx_Stream::Video

Video stream for HDMI RX.

Referenced by XV_HdmiRx_Clear(), XV_HdmiRx_DebugInfo(), XV_HdmiRx_GetVideoProperties(), XV_HdmiRx_GetVideoTiming(), XV_HdmiRx_SetColorFormat(), XV_HdmiRx_SetPixelRate(), and XV_HdmiRx_SetStream().